

nile <- data.frame(year=1871:1970, height=Nile)
nileOut <- fitS(nile,1,2)
plot(nileOut)

## 
## 
## # Plot generation code below...
## 
## std_error <- summary(nileOut$nlsOut)$coefficient[,"Std. Error"][[3]]
## changepoint <- summary(nileOut$nlsOut)$coefficient[,"Estimate"][[3]]
## preMean <- nileOut$pars['preMean']
## postMean <- nileOut$pars['postMean']
## 
## # Create plot
## abline(v = changepoint, col = rgb(0, 100, 0, maxColorValue = 255), lty = 2)
## text(changepoint, preMean-100, labels = paste("est. changepoint:", round(changepoint, 2)), col = rgb(0, 100, 0, maxColorValue = 255))
## text(changepoint - 12, max(nileOut$d$y) - 1.5, 
##      labels = paste("(Std. Error: ", round(std_error, 2), ")", sep = ""), 
##      col = "purple")
## 
## # Overlay preMean and postMean
## text(changepoint - 15, preMean+100, labels = paste("preMean:", round(preMean, 2)), col = "blue")
## text(changepoint + 10, postMean-100, labels = paste("postMean:", round(postMean, 2)), col = "red")
