
library(changeS)
library(bcp)

data("RealInt")

real_int_df <- data.frame(quarter=1:length(RealInt),rate=RealInt)
result <- fitS(real_int_df, 1, 2)

summary(result)
plot(result)


## 
## result$plotTitle <- "Changepoint Detection: US Real Interest Rate"
## 
## # Plot generation code below...
## 
## std_error <- summary(result$nlsOut)$coefficient[,"Std. Error"][[4]]
## changepoint <- summary(result$nlsOut)$coefficient[,"Estimate"][[4]]
## preMean <- result$pars['preMean']
## postMean <- result$pars['postMean']
## 
## # Create plot
## mtext("1961-1986, 3M Treasury Deflated by CPI", side = 3, line = .5, cex = 0.8)
## abline(v = changepoint, col = rgb(0, 100, 0, maxColorValue = 255), lty = 2)
## text(changepoint, preMean-3, labels = paste("est. changepoint:", round(changepoint, 2)), col = rgb(0, 100, 0, maxColorValue = 255))
## text(changepoint - 12, max(result$d$y) - 1.5, 
##      labels = paste("(Std. Error: ", round(std_error, 2), ")", sep = ""), 
##      col = "purple")
## 
## # Overlay preMean and postMean
## text(changepoint - 20, preMean-1, labels = paste("preMean:", round(preMean, 2)), col = "blue")
## text(changepoint + 12, postMean+1, labels = paste("postMean:", round(postMean, 2)), col = "red")
